Formigros QUAL

Create Form Submission

Creates a new submission for the given form alias. Include _fvid to target a specific form revision.

post
https://api-qual.migros.ch/migros/forms/v1/pre/{formPath}/submission

Path Parameters

formPathstringrequired

Form Alias

Example:AmazingContactForm

Body

application/json
_fvidstring

Example:2

dataobject
Show Child Parameters

Response

201

Create Form Submission / Create Submission / Create Form Revision Submission

post/migros/forms/v1/pre/{formPath}/submission

Body

{ "_fvid": "2", "data": { "email": "joe@example.com", "firstName": "Joe", "lastName": "Smith", "phoneNumber": "(123) 123-1234" } }
 
201

Get a Submission

This will retrieve a single submission within a form.

get
https://api-qual.migros.ch/migros/forms/v1/pre/{formPath}/submission/{submissionId}

Path Parameters

formPathstringrequired

Form Alias

Example:AmazingContactForm

submissionIdstringrequired

Submission Id

Example:57d0a2fd76f943a4007e1529

Headers

x-jwt-tokenstring

Example:{{token}}

Response

200 application/json

Get a Submission

_fvidinteger
_idstring
_vidinteger
accessarray
createdstring(date-time)
dataobject
Show Child Parameters
externalIdsarray
formstring
modifiedstring(date-time)
ownerstring
projectstring
rolesarray
statestring
get/migros/forms/v1/pre/{formPath}/submission/{submissionId}
 
200 application/json

Delete File from Azure Storage

Deletes a file from the configured Azure storage provider.

delete
https://api-qual.migros.ch/migros/forms/v1/{formPath}/storage/azure

Query Parameters

namestringrequired

File name

Example:tmp-6ffe3dac-57e5-459e-8dc7-fd96266b3d8b.pdf

keystringrequired

Storage key

Example:tmp-6ffe3dac-57e5-459e-8dc7-fd96266b3d8b.pdf

Path Parameters

formPathstringrequired

Form Alias

Example:AmazingContactForm

Response

204

File deleted

delete/migros/forms/v1/{formPath}/storage/azure
 
204

Get Azure Storage Files

This will retrieve the files stored in the configured Azure storage provider.

get
https://api-qual.migros.ch/migros/forms/v1/{formPath}/storage/azure

Path Parameters

formPathstringrequired

Form Alias

Example:AmazingContactForm

Headers

x-jwt-tokenstring

Example:{{token}}

Response

200 application/json

Get Azure Storage Files

object
get/migros/forms/v1/{formPath}/storage/azure
 
200 application/json

Upload File to Azure Storage

Uploads a file through Form.io to the configured Azure storage provider.

post
https://api-qual.migros.ch/migros/forms/v1/{formPath}/storage/azure

Path Parameters

formPathstringrequired

Form Alias

Example:AmazingContactForm

Body

application/json
groupIdstring | null

Optional group id

Example:null

groupPermissionsstring | null

Optional group permissions identifier

Example:null

namestringrequired

File name

Example:tmp-6ffe3dac-57e5-459e-8dc7-fd96266b3d8b.pdf

sizeintegerrequired

File size in bytes

Example:12

typestringrequired

MIME type

Example:application/pdf

Response

200 application/json

File uploaded

object
post/migros/forms/v1/{formPath}/storage/azure

Body

{ "groupId": null, "groupPermissions": null, "name": "tmp-6ffe3dac-57e5-459e-8dc7-fd96266b3d8b.pdf", "size": 12, "type": "application/pdf" }
 
200 application/json